<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
/*
  $sesion = new Sesion("", "", ""); // Se crea un objeto nuevo con el privilegio necesario para la pag. actual
  if (!$sesion->isValida("4")) { // Sesion invalida
  header("Location: ../login.php?err=NoSesion");
  } else {// no hay sesion
  $dato = explode("|", $_SESSION['usuario']);
  $sesion->setDatos($dato[0], $dato[1], $dato[2]);
  }
 */
$oConexion = conecta_default();
//$iIdcd = $sesion->id;
$sTitulo = filter_input(INPUT_POST, "Nombrepromocion");
$tDescripcion = filter_input(INPUT_POST, "Descripcion");
$iPrecio = filter_input(INPUT_POST, "Precio");
$iPuntos = filter_input(INPUT_POST, "Puntos");
$aCantidades = filter_input_array(INPUT_POST, "ProductoCantidad");
$sConsulta = "SELECT `id_prod`,`nombreProd` FROM `productos` where `id_prod`>1 limit 4";
$sResult = mysqli_query($conexion, $sConsulta) or die('ErrPP: ' . mysqli_error($conexion));
?>
<html>
    <head>
        <link href="../scripts/Style-rrb.css" rel="stylesheet" type="text/css"/>
        <script src="../scripts/Val.js" type="text/javascript"></script>
    </head>
    <body>
        <?php
        if ($sTitulo != false && $tDescripcion != false) {
            $aCantidades = $_POST["ProductoCantidad"];
            $aProductos = $_POST["Productos"];
            $sqPromoactiva = "INSERT INTO `promocion_activa`(`Nombre`, `Descripcion`, `Precio`, `Puntos`)  VALUES ('" . $sTitulo . "','" . $tDescripcion . "','" . $iPrecio . "','" . $iPuntos . "')";
            mysqli_query($conexion, $sqPromoactiva) or die('ErrPP: ' . mysqli_error($conexion));
            $iIdPromo = mysqli_insert_id($conexion);
            count($aProductos);
            for ($i = 0; $i < count($aProductos); $i++) {
                $sqPromoactiva = "INSERT INTO `promocion`(`Id_prod`, `Id_PromociomActiva`, `Cantidad`) VALUES ('" . $aProductos[$i] . "','" . $iIdPromo . "','" . $aCantidades[$i] . "')";
                mysqli_query($conexion, $sqPromoactiva) or die('ErrPP: ' . mysqli_error($conexion));
            }
        } else {
            ?>
        <center>
            <h1>Promociones</h1>
            <form action="crear_promo.php" method='POST' >
                <div id="prom">
                    <div id="form">
                        <label>
                            Titulo: 
                        </label>

                        <input type="text" name="Nombrepromocion" />
                        <br>
                        <br>
                        <label>Producto: </label>
                        <select id='ListProductos'>
                            <?php
                            $pila = array();
                            while ($Row = mysqli_fetch_object($sResult)) {
                                echo"<option value ='$Row->id_prod' >$Row->nombreProd</option>";
                            }
                            ?>
                        </select>
                        <br>
                        <br>
                        <label>Cantidad: </label><input type="text" id='Cantidad'/> <label> Regalo:</label>
                        <label><input type="checkbox" name='Regalocheck' onclick=""/></label>  
                        <br>
                        <?php
                        echo"<input type='button' id='addprod' value='Agregar Producto' onclick='AddProduct();'/>";
                        ?>
                        <br>
                        <br>
                        <label>Precio: </label><input type="text" name='Precio'/>
                        <br>
                        <br>
                        <label>Puntos: </label><input type="text" name='Puntos' value="0"/>
                        <br>
                        <label>Descipcion: </label>
                        <br>
                        <textarea id="Descripcion" maxlength="256"></textarea>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <p>Introduce la fecha pulsando sobre la imagen del calendario</p>
                        <input type="text" name="date" id="fecha" readonly="readonly" />
                        <img src="calendario.png" id="selector" />
                        <input type="submit" value="Crear Promocion"/>
                    </div>
                    <div id="Lista">
                        <table id="dProductoLista">
                            <tbody id="ProductoLista">
                                <tr>
                                    
                                    <td >Productos</td>
                                    <td>Cantidad</td>
                                    <td></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </form>
        </center>
        <?php
    }
    ?>
</body>
</html>
